Thursday, December 23, 2021

Red Hat: CVE-2021-3677: Moderate: postgresql:12 security update (Multiple Advisories)

Description
A flaw was found in postgresql. A purpose-crafted query can read arbitrary bytes of server memory. In the default configuration, any authenticated database user can complete this attack at will. The attack does not require the ability to create objects. If server settings include max_worker_processes=0, the known versions of this attack are infeasible. However, undiscovered variants of the attack may be independent of that setting.
Solution(s)
  • redhat-upgrade-pg_repack
  • redhat-upgrade-pg_repack-debuginfo
  • redhat-upgrade-pg_repack-debugsource
  • redhat-upgrade-pgaudit
  • redhat-upgrade-pgaudit-debuginfo
  • redhat-upgrade-pgaudit-debugsource
  • redhat-upgrade-postgres-decoderbufs
  • redhat-upgrade-postgres-decoderbufs-debuginfo
  • redhat-upgrade-postgres-decoderbufs-debugsource
  • redhat-upgrade-postgresql
  • redhat-upgrade-postgresql-contrib
  • redhat-upgrade-postgresql-contrib-debuginfo
  • redhat-upgrade-postgresql-debuginfo
  • redhat-upgrade-postgresql-debugsource
  • redhat-upgrade-postgresql-docs
  • redhat-upgrade-postgresql-docs-debuginfo
  • redhat-upgrade-postgresql-plperl
  • redhat-upgrade-postgresql-plperl-debuginfo
  • redhat-upgrade-postgresql-plpython3
  • redhat-upgrade-postgresql-plpython3-debuginfo
  • redhat-upgrade-postgresql-pltcl
  • redhat-upgrade-postgresql-pltcl-debuginfo
  • redhat-upgrade-postgresql-server
  • redhat-upgrade-postgresql-server-debuginfo
  • redhat-upgrade-postgresql-server-devel
  • redhat-upgrade-postgresql-server-devel-debuginfo
  • redhat-upgrade-postgresql-static
  • redhat-upgrade-postgresql-test
  • redhat-upgrade-postgresql-test-debuginfo
  • redhat-upgrade-postgresql-test-rpm-macros
  • redhat-upgrade-postgresql-upgrade
  • redhat-upgrade-postgresql-upgrade-debuginfo
  • redhat-upgrade-postgresql-upgrade-devel
  • redhat-upgrade-postgresql-upgrade-devel-debuginfo


  • References
  • CVE-2021-3677
  • RHSA-2021:5235
  • RHSA-2021:5236




  •  

    Copyright © 2021 Vulnerability Database | Cyber Details™

    thank you Templateism for the design - You should have written the code a little more complicated - Nothing Encrypted anymore